Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.datacache
Enum AbstractQueryCache.EvictPolicy

    java.lang.Object
      java.lang.Enum<AbstractQueryCache.EvictPolicy>
          org.apache.openjpa.datacache.AbstractQueryCache.EvictPolicy

All Implemented Interfaces:
  Serializable, Comparable<AbstractQueryCache.EvictPolicy>

Enclosing class:
  AbstractQueryCache

    public static enum AbstractQueryCache.EvictPolicy

extends Enum<AbstractQueryCache.EvictPolicy>

Enum Constant Summary
`DEFAULT`
`TIMESTAMP`

Method Summary
`static AbstractQueryCache.EvictPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractQueryCache.EvictPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final AbstractQueryCache.EvictPolicy DEFAULT

### TIMESTAMP

    public static final AbstractQueryCache.EvictPolicy TIMESTAMP

Method Detail

### values

    public static AbstractQueryCache.EvictPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AbstractQueryCache.EvictPolicy c : AbstractQueryCache.EvictPolicy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AbstractQueryCache.EvictPolicy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.